SimpleBPBeanDefinitionParser (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.configuration.blueprint

## Class SimpleBPBeanDefinitionParser

- java.lang.Object
- - org.apache.cxf.configuration.blueprint.AbstractBPBeanDefinitionParser
  - - org.apache.cxf.configuration.blueprint.SimpleBPBeanDefinitionParser

-     public class SimpleBPBeanDefinitionParser
      extends AbstractBPBeanDefinitionParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cxf.configuration.blueprint.AbstractBPBeanDefinitionParser

      `AbstractBPBeanDefinitionParser.JAXBBeanFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Class<?>` | `cls` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleBPBeanDefinitionParser​(Class<?> cls)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getFactoryCreateType​(Element element)` |
    `String` | `getFactorySuffix()` |
    `String` | `getId​(Element element, org.apache.aries.blueprint.ParserContext context)` |
    `org.osgi.service.blueprint.reflect.Metadata` | `parse​(Element element, org.apache.aries.blueprint.ParserContext context)` |

    - ### Methods inherited from class org.apache.cxf.configuration.blueprint.AbstractBPBeanDefinitionParser

      `createObjectOfClass, createPassThrough, createRef, createValue, createValue, getBus, getBusRef, getContext, hasBusProperty, isAttribute, isNamespace, mapAttribute, mapElement, mapElementToJaxbProperty, mapElementToJaxbProperty, mapToProperty, parseAttributes, parseChildElements, parseListData, parseMapData, parseQName, processBusAttribute, processNameAttribute, setFirstChildAsProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cls

          protected Class<?> cls

  - ### Constructor Detail

    - #### SimpleBPBeanDefinitionParser

          public SimpleBPBeanDefinitionParser​(Class<?> cls)

  - ### Method Detail

    - #### getFactorySuffix

          public String getFactorySuffix()

    - #### getFactoryCreateType

          public String getFactoryCreateType​(Element element)

    - #### getId

          public String getId​(Element element,
                              org.apache.aries.blueprint.ParserContext context)

    - #### parse

          public org.osgi.service.blueprint.reflect.Metadata parse​(Element element,
                                                                   org.apache.aries.blueprint.ParserContext context)